import { Job } from 'bullmq';
import ffmpeg, { FfmpegCommand } from 'fluent-ffmpeg';
import { EncoderOptions } from '../../../shared/models';
declare type StreamType = 'audio' | 'video';
declare function getFFmpeg(input: string, type: 'live' | 'vod'): ffmpeg.FfmpegCommand;
declare function getFFmpegVersion(): Promise<string>;
declare function runCommand(options: {
    command: FfmpegCommand;
    silent?: boolean;
    job?: Job;
}): Promise<void>;
declare function buildStreamSuffix(base: string, streamNum?: number): string;
declare function getScaleFilter(options: EncoderOptions): string;
export { getFFmpeg, getFFmpegVersion, runCommand, StreamType, buildStreamSuffix, getScaleFilter };
//# sourceMappingURL=ffmpeg-commons.d.ts.map