import { FfprobeData } from 'fluent-ffmpeg';
import { buildFileMetadata, ffprobePromise, getAudioStream, getMaxAudioBitrate, getVideoStream, getVideoStreamBitrate, getVideoStreamDimensionsInfo, getVideoStreamDuration, getVideoStreamFPS, hasAudioStream } from '../../../shared/extra-utils/ffprobe';
import { VideoResolution, VideoTranscodingFPS } from '../../../shared/models';
/**
 *
 * Helpers to run ffprobe and extract data from the JSON output
 *
 */
declare function getVideoStreamCodec(path: string): Promise<string>;
declare function getAudioStreamCodec(path: string, existingProbe?: FfprobeData): Promise<"" | "opus" | "vorbis" | "mp4a.40.2" | "mp4a.40.34">;
declare function computeResolutionsToTranscode(options: {
    input: number;
    type: 'vod' | 'live';
    includeInput: boolean;
    strictLower: boolean;
}): number[];
declare function canDoQuickTranscode(path: string): Promise<boolean>;
declare function canDoQuickAudioTranscode(path: string, probe?: FfprobeData): Promise<boolean>;
declare function canDoQuickVideoTranscode(path: string, probe?: FfprobeData): Promise<boolean>;
declare function getClosestFramerateStandard<K extends keyof Pick<VideoTranscodingFPS, 'HD_STANDARD' | 'STANDARD'>>(fps: number, type: K): number;
declare function computeFPS(fpsArg: number, resolution: VideoResolution): number;
export { getVideoStreamDimensionsInfo, buildFileMetadata, getMaxAudioBitrate, getVideoStream, getVideoStreamDuration, getAudioStream, hasAudioStream, getVideoStreamFPS, ffprobePromise, getVideoStreamBitrate, getVideoStreamCodec, getAudioStreamCodec, computeFPS, getClosestFramerateStandard, computeResolutionsToTranscode, canDoQuickTranscode, canDoQuickVideoTranscode, canDoQuickAudioTranscode };
//# sourceMappingURL=ffprobe-utils.d.ts.map