import { Instance as ParseTorrent } from 'parse-torrent';
import { ResultList } from '../../shared/models';
declare function deleteFileAndCatch(path: string): void;
declare function generateRandomString(size: number): Promise<string>;
interface FormattableToJSON<U, V> {
    toFormattedJSON(args?: U): V;
}
declare function getFormattedObjects<U, V, T extends FormattableToJSON<U, V>>(objects: T[], objectsTotal: number, formattedArg?: U): ResultList<V>;
declare function generateVideoImportTmpPath(target: string | ParseTorrent, extension?: string): string;
declare function getSecureTorrentName(originalName: string): string;
/**
 * From a filename like "ede4cba5-742b-46fa-a388-9a6eb3a3aeb3.mp4", returns
 * only the "ede4cba5-742b-46fa-a388-9a6eb3a3aeb3" part. If the filename does
 * not contain a UUID, returns null.
 */
declare function getUUIDFromFilename(filename: string): string;
export { deleteFileAndCatch, generateRandomString, getFormattedObjects, getSecureTorrentName, generateVideoImportTmpPath, getUUIDFromFilename };
//# sourceMappingURL=utils.d.ts.map