import { MStreamingPlaylistVideo, MVideo, MVideoFile, MVideoFileStreamingPlaylistVideo, MVideoFileVideo, MVideoUUID } from '../types/models';
declare type MakeAvailableCB<T> = (path: string) => Promise<T> | T;
declare class VideoPathManager {
    private static instance;
    private constructor();
    getFSHLSOutputPath(video: MVideoUUID, filename?: string): string;
    getFSRedundancyVideoFilePath(videoOrPlaylist: MVideo | MStreamingPlaylistVideo, videoFile: MVideoFile): string;
    getFSVideoFileOutputPath(videoOrPlaylist: MVideo | MStreamingPlaylistVideo, videoFile: MVideoFile): string;
    makeAvailableVideoFile<T>(videoFile: MVideoFileVideo | MVideoFileStreamingPlaylistVideo, cb: MakeAvailableCB<T>): Promise<T>;
    makeAvailableResolutionPlaylistFile<T>(videoFile: MVideoFileStreamingPlaylistVideo, cb: MakeAvailableCB<T>): Promise<T>;
    makeAvailablePlaylistFile<T>(playlist: MStreamingPlaylistVideo, filename: string, cb: MakeAvailableCB<T>): Promise<T>;
    private makeAvailableFactory;
    private buildTMPDestination;
    static get Instance(): VideoPathManager;
}
export { VideoPathManager };
//# sourceMappingURL=video-path-manager.d.ts.map