import { Sequelize, Transaction } from 'sequelize';
import { AbstractVideoQueryBuilder } from './abstract-video-query-builder';
export declare type FileQueryOptions = {
    id?: string | number;
    url?: string;
    includeRedundancy: boolean;
    transaction?: Transaction;
    logging?: boolean;
};
/**
 *
 * Fetch files (webtorrent and streaming playlist) according to a video
 *
 */
export declare class VideoFileQueryBuilder extends AbstractVideoQueryBuilder {
    protected readonly sequelize: Sequelize;
    protected attributes: {
        [key: string]: string;
    };
    constructor(sequelize: Sequelize);
    queryWebTorrentVideos(options: FileQueryOptions): Promise<any[]>;
    queryStreamingPlaylistVideos(options: FileQueryOptions): Promise<any[]>;
    private buildWebtorrentFilesQuery;
    private buildVideoStreamingPlaylistFilesQuery;
    private buildQuery;
}
//# sourceMappingURL=video-file-query-builder.d.ts.map