import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '../../../shared/typescript-utils';
import { VideoModel } from '../video/video';
/**
 *
 * Aggregate views of all videos federated with our instance
 * Mainly used by the trending/hot algorithms
 *
 */
export declare class VideoViewModel extends Model<Partial<AttributesOnly<VideoViewModel>>> {
    createdAt: Date;
    startDate: Date;
    endDate: Date;
    views: number;
    videoId: number;
    Video: VideoModel;
    static removeOldRemoteViewsHistory(beforeDate: string): Promise<number>;
}
//# sourceMappingURL=video-view.d.ts.map